## mx4j.loading
Class RepositoryClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              mx4j.loading.RepositoryClassLoader

public class RepositoryClassLoader
extends java.security.SecureClassLoader

A classloader that delegates to the ClassLoaderRepository

Version:
  $Revision: 1.5 $

Constructor Summary
`RepositoryClassLoader(javax.management.loading.ClassLoaderRepository repository)`

Method Summary
`java.lang.Class` `loadClass(java.lang.String name)`

Methods inherited from class java.security.SecureClassLoader
`defineClass, getPermissions`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryClassLoader

    public RepositoryClassLoader(javax.management.loading.ClassLoaderRepository repository)

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.